<?php
/**
 * The default template for displaying content
 *
 * @package Catch Themes
 * @subpackage Catch_Box_Pro
 * @since Catch Box Pro 1.0
 */
//Getting data from Theme Options Panel
$options  = catchbox_get_options();

$current_content_layout = $options['content_layout'];
?>

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<header class="entry-header">

			<?php if ( is_sticky() ) : ?>
                <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'catch-box-pro' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
                <h3 class="entry-format"><?php _e( 'Featured', 'catch-box-pro' ); ?></h3>
			<?php else : ?>
				<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'catch-box-pro' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			<?php endif; ?>

			<?php if ( 'post' == get_post_type() ) : ?>
                <div class="entry-meta">
                    <?php catchbox_posted_on(); ?>
                    <?php if ( comments_open() && ( $options['commenting_setting'] != 'disable' ) && ! post_password_required() ) : ?>
                    	<span class="sep sep-comment"> &mdash; </span>
                        <span class="comments-link">
                         	<?php comments_popup_link(__('Leave a reply', 'catch-box-pro'), __('1 Comment &darr;', 'catch-box-pro'), __('% Comments &darr;', 'catch-box-pro')); ?>
                        </span>
                    <?php endif; ?>
                    <?php if ( $current_content_layout=='full-content' ) :
                    	catchbox_updated_on(); 
                    endif; ?>
                </div><!-- .entry-meta -->
			<?php endif; ?>
		</header><!-- .entry-header -->

		<?php
		if ( is_search() ): // Only display Excerpts for Search ?>\
            <div class="entry-summary">
                <?php the_excerpt(); ?>
            </div><!-- .entry-summary -->
		<?php else : ?>
		<div class="entry-content">
			<?php
            if ( empty( $options['more_tag_accessible'] ) ) {
		    	$more_tag_text = $options['more_tag_text'];

		    	the_content( $more_tag_text );
		    }
		    else {
				$more_tag_text = $options['more_tag_text_accessible'];
				$more_tag_icon = $options['more_tag_icon_accessible'];

		    	the_content(
	                sprintf(
	                   $more_tag_text,
	                    '<span class="screen-reader-text">  '. get_the_title() .'</span>'
	                ).
	                '<span class="meta-nav">' . $more_tag_icon . '</span>'
	            );
		    }
		    ?>
			<?php wp_link_pages( array(
                'before'		=> '<div class="page-link"><span class="pages">' . __( 'Pages:', 'catch-box-pro' ) . '</span>',
                'after'			=> '</div>',
                'link_before' 	=> '<span>',
                'link_after'   	=> '</span>',
            ) );
            ?>
		</div><!-- .entry-content -->
		<?php endif; ?>

		<footer class="entry-meta">
			<?php $show_sep = false; ?>
			<?php if ( 'post' == get_post_type() ) : // Hide category and tag text for pages on Search ?>
			<?php
				/* translators: used between list items, there is a space after the comma */
				$categories_list = get_the_category_list( __( ', ', 'catch-box-pro' ) );
				if ( $categories_list ):
			?>
			<span class="cat-links">
				<?php printf( __( '<span class="%1$s">Posted in</span> %2$s', 'catch-box-pro' ), 'entry-utility-prep entry-utility-prep-cat-links', $categories_list );
				$show_sep = true; ?>
			</span>
			<?php endif; // End if categories ?>
			<?php
				/* translators: used between list items, there is a space after the comma */
				$tags_list = get_the_tag_list( '', __( ', ', 'catch-box-pro' ) );
				if ( $tags_list ):
				if ( $show_sep ) : ?>
			<span class="sep"> | </span>
				<?php endif; // End if $show_sep ?>
			<span class="tag-links">
				<?php printf( __( '<span class="%1$s">Tagged</span> %2$s', 'catch-box-pro' ), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list );
				$show_sep = true; ?>
			</span>
			<?php endif; // End if $tags_list ?>
			<?php endif; // End if 'post' == get_post_type() ?>

			<?php if ( comments_open() && ( $options['commenting_setting'] != 'disable' ) && ! post_password_required() ) : ?>
				<?php if ( $show_sep ) : ?>
					<span class="sep sep-comment"> | </span>
				<?php endif; // End if $show_sep ?>
				<span class="comments-link"><?php comments_popup_link(__('Leave a reply', 'catch-box-pro'), __('1 Comment &darr;', 'catch-box-pro'), __('% Comments &darr;', 'catch-box-pro')); ?></span>
			<?php endif; // End if comments_open() ?>

			<?php edit_post_link( __( 'Edit', 'catch-box-pro' ), '<span class="edit-link">', '</span>' ); ?>
		</footer><!-- #entry-meta -->
	</article><!-- #post-<?php the_ID(); ?> -->